Share via


Registries - List Usages

Gets the quota usages for the specified container registry.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/listUsages?api-version=2025-11-01

URI Parameters

Name In Required Type Description
registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the container registry.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RegistryUsageListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

RegistryListUsages

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/listUsages?api-version=2025-11-01

Sample response

{
  "value": [
    {
      "name": "Size",
      "limit": 107374182400,
      "currentValue": 12345678,
      "unit": "Bytes"
    },
    {
      "name": "Webhooks",
      "limit": 10,
      "currentValue": 2,
      "unit": "Count"
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RegistryUsage

The quota usage for a container registry.

RegistryUsageListResult

The result of a request to get container registry quota usages.

RegistryUsageUnit

The unit of measurement.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RegistryUsage

The quota usage for a container registry.

Name Type Description
currentValue

integer (int64)

The current value of the usage.

limit

integer (int64)

The limit of the usage.

name

string

The name of the usage.

unit

RegistryUsageUnit

The unit of measurement.

RegistryUsageListResult

The result of a request to get container registry quota usages.

Name Type Description
value

RegistryUsage[]

The list of container registry quota usages.

RegistryUsageUnit

The unit of measurement.

Value Description
Count
Bytes